View Issue Details

IDProjectCategoryView StatusLast Update
0021580mantisbtchange logpublic2016-08-28 01:12
ReportercproensaAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.3.0 
Target Version1.3.1Fixed in Version1.3.1 
Summary0021580: in changelog, reporter user can view all bugs when limit_reporters is on
Description

When report_bug_threshold is configured as an array, the changelog page does not limit visibility of bugs to its reporters.

TagsNo tags attached.

Relationships

related to 0021579 closedcproensa Error when limit_reporters and complex report_bug_threshold 

Related Changesets

MantisBT: master 06af376a

2016-08-01 18:51:56

cproensa

Details Diff
Fix changelog with limit_reporters

Fix checking user level against report_bug_threshold When limit_reporters
option is enabled.
Previously, reporters could see all bugs when report_bug_threshold was
defined as an array.

Fixes: 0021580
mod - changelog_page.php Diff File

MantisBT: master 98b03fde

2016-08-04 23:52:13

vboctor

Details Diff
Merge remote-tracking branch 'origin/pr/835'
mod - bug_update_page.php Diff File
mod - changelog_page.php Diff File
mod - core/access_api.php Diff File
mod - core/filter_api.php Diff File
mod - manage_config_workflow_page.php Diff File
mod - manage_config_workflow_set.php Diff File

Issue History

Date Modified Username Field Change
2016-08-01 18:30 cproensa New Issue
2016-08-01 18:30 cproensa Relationship added related to 0021579
2016-08-01 18:30 cproensa Summary reporter user can view all bugs when limit_reporters is on => in changelog, reporter user can view all bugs when limit_reporters is on
2016-08-01 19:01 cproensa Assigned To => cproensa
2016-08-01 19:01 cproensa Status new => assigned
2016-08-01 19:47 cproensa Note Added: 0053741
2016-08-04 23:56 cproensa Changeset attached => MantisBT master 06af376a
2016-08-04 23:56 cproensa Status assigned => resolved
2016-08-04 23:56 cproensa Resolution open => fixed
2016-08-04 23:56 cproensa Fixed in Version => 2.0.0-beta.2
2016-08-05 05:02 cproensa Changeset attached => MantisBT master 98b03fde
2016-08-05 05:03 cproensa Fixed in Version 2.0.0-beta.2 => 1.3.1
2016-08-05 07:30 atrol Target Version => 1.3.1
2016-08-28 01:12 vboctor Status resolved => closed